SELECT AUTHORS.LAST_NAME, AUTHORS.FIRST_NAME, AUTHORS.MIDDLE_NAME,
                TITLE, TOTAL_PAGES , PUBLISHED_DATE   FROM AUTHORS JOIN BOOK_AUTHORS
                ON BOOK_AUTHORS.AUTHOR_ID = AUTHORS.AUTHOR_ID 
                JOIN BOOKS 
                ON BOOK_AUTHORS.BOOK_ID = BOOKS.BOOK_ID  
                WHERE PUBLISHED_DATE IS NOT NULL
                ORDER BY PUBLISHED_DATE